Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Helper\TranslationHelper Member List

This is the complete list of members for eZ\Publish\Core\Helper\TranslationHelper, including all inherited members.

$configResolver | eZ\Publish\Core\Helper\TranslationHelper | protected
$contentService | eZ\Publish\Core\Helper\TranslationHelper | protected
$logger | eZ\Publish\Core\Helper\TranslationHelper | private
$siteAccessesByLanguage | eZ\Publish\Core\Helper\TranslationHelper | private
__construct(ConfigResolverInterface $configResolver, ContentService $contentService, array $siteAccessesByLanguage, LoggerInterface $logger=null) | eZ\Publish\Core\Helper\TranslationHelper |
getAvailableLanguages() | eZ\Publish\Core\Helper\TranslationHelper |
getLanguages($forcedLanguage=null, $fallbackLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper | private
getTranslatedByMethod(ValueObject $object, $method, $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper |
getTranslatedByProperty(ValueObject $object, $property, $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper |
getTranslatedContentName(Content $content, $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper |
getTranslatedContentNameByContentInfo(ContentInfo $contentInfo, $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper |
getTranslatedContentNameByVersionInfo(VersionInfo $versionInfo, $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper | private
getTranslatedField(Content $content, $fieldDefIdentifier, $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper |
getTranslatedFieldDefinitionProperty(ContentType $contentType, $fieldDefIdentifier, $property='name', $forcedLanguage=null) | eZ\Publish\Core\Helper\TranslationHelper |
getTranslationSiteAccess($languageCode) | eZ\Publish\Core\Helper\TranslationHelper |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.